**Full name**: projects.locations.reasoningEngines.cancelAsyncQuery

Cancels an reasoningEngines.asyncQuery operation.

### Endpoint

post `https://{service-endpoint}/v1beta1/{name}:cancelAsyncQuery`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the ReasoningEngine resource to use. Format: `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}`

### Request body

The request body contains data with the following structure:
Fields `operationName` `string` Required. The name of the longrunning operation returned from reasoningEngines.asyncQuery. Format: `projects/{project}/locations/{location}/operations/{operation}`

### Response body

If successful, the response body is empty.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.reasoningEngines.query`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).